/*************************************************  
  File name     : workqueue.h
  Module        : 
  Author        : amir 
  Version       : 0.1   
  Created on    : 2022-02-07  
  Description   :
      Data structure and function definitions required by the socket interface

  Modify History:   
  1. Date:        Author:         Modification:
*************************************************/
#include <stdlib.h>
#include "mw_unittest.h"
#include "util.h"
#include "hlog.h"
#include "mw_ut_config.h"
#include "hal_interface_gpio.h"



static int32_t unittest_media(int32_t argc, char **argv)
{
    hlogi("%s argc:%u", __func__, argc);
    return 0;
}

static int32_t unittest_main(int32_t argc, char **argv)
{
    hlogi("%s argc:%u", __func__, argc);
    return 0;
}


unittest_cmd g_ut_cmd_device[] =
{
    DECLAR_UT_CMD(NULL,               g_ut_cmd_gpio,      "gpio",                  "output or input"),
};
    

unittest_cmd g_ut_cmd_media[] =
{
    DECLAR_UT_CMD(unittest_media,     NULL,               "debug",                 "No Param"),
};


/* ***** Unittest Cmd Table ***** */
unittest_cmd unittest_list[] =
{
    DECLAR_UT_CMD(unittest_main,      NULL,               "main",                  "main"),
    DECLAR_UT_CMD(NULL,               g_ut_cmd_media,     "media",                 "media debug"),
    DECLAR_UT_CMD(NULL,               g_ut_cmd_device,    "device",                "gpio"),
    DECLAR_UT_CMD(NULL,               g_ut_cmd_config,    "config",                "config UT"),
    
};


int32_t unittest_get(unittest_cmd **cmds){
    *cmds = unittest_list;
    return sizeof(unittest_list)/sizeof(unittest_cmd);
}


/*
 1. 根据不同的平台,注册到 shell
 Shell_CommandRegister("ut", unittest);
*/

